@use "mixins/breakpoints" as breakpoints;

$filter-stack-width: 300px;
$border: 1px solid #e9e9e9;
$header-padding: 16px;

:host {
  display: grid;
  grid-template-columns: $filter-stack-width 1fr;
  grid-template-rows: auto 1fr;
  grid-template-areas:
    "content-header content-header"
    "filtered-content filtered-content";
  @include breakpoints.lg() {
    grid-template-areas:
    "content-header content-header"
    "filter-stack filtered-content";
  }
  min-height: 100%;
  background-color: var(--bs-body-bg);
}

.rdn-filterable-content__header {
  padding: 0 $header-padding;
  grid-area: content-header;
  border-bottom: $border;
  display: grid;
  grid-template-columns: 1fr auto;
  grid-template-areas:
    "filter-chips filterable-content-sorting";
  align-items: center;

  .open-filter-stack__button {
    margin: 16px 0;
  }
}

.filter-chips {
  display: block;
  margin: calc($header-padding / 2);
  grid-area: filter-chips;
}

.filterable-content-sorting {
  margin: calc($header-padding / 2) 0;
  grid-area: filterable-content-sorting;
}

.rdn-filter-stack {
  z-index: 1;
  overflow: auto;
  background-color: var(--bs-body-bg);
  position: fixed;
  max-width: 80vw;
  left: 0;
  top: 0;
  height: 100%;
  transform: translateX(-100%);
  grid-area: filter-stack;
  border-right: $border;
  transition: transform .3s;

  &.opened {
    transform: translateX(0);
  }

  @include breakpoints.lg() {
    position: initial;
    transform: translateX(0);
    transition: none;
  }
}

.rdn-filtered-content {
  padding: 16px;
  grid-area: filtered-content;
}

.overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, .3);
}
